Subject: Re: search engines

From: "Brian C. White" <[email-masked]>
Date: Mon, 12 Aug 1996 13:37:56 -0400

> > I've been thinking about what you said regarding search engines for
> > "debiandoc".  As I understand it, this is to be a debian package, is it
> > not?
> 
> At least Debian. I won't get upset if someone ports it to Red Hat, Slackware,
> *BSD*, or a Cray... :-)

Cray Linux.  I've heard somebody is actually working on that!

> > What do you think of this idea?
> 
> Thanks for the offer, but alas, it's not workable -- the index needs to be
> rebuilt for each system separately, since the set of documents is different
> on each system, and Debiandoc is supposed to support locally installed
> documentation as well.
> 
> I will, however, make debiandoc and ferret work together, if it isn't
> too much work. From my experiments with glimpse a long time ago, it
> can index arbitrary directories or files, and outputs a list of filenames
> as the result of the search. If ferret can do that, then I'll add support
> for it in debiandoc.

It shouldn't be hard.  Ferret indexes an arbitrary list of words against
an arbitrary text string.  (The text string is usually a URL or a path
name, but it isn't limited to such.)

If you could add ferret to the "suggests" field, I'd appreciate it.

                                        Brian
                               ( [email-masked] )

P.S.  I was joking about the Cray Linux thing.  :-)

-------------------------------------------------------------------------------
    In theory, theory and practice are the same.  In practice, they're not.